hide: true
title: Stories
tabs:
  main:
    display: Main
    sections:
      -
        fields:
          -
            handle: warning
            field:
              html: |-
                <h1 style="color: red;">Warning!</h1>
                <p>
                  This blueprint is for the index page of the Blog Stories Section.<br>
                  Please <span style="color: red;">do not use</span> this blueprint unless you are editing the existing page, or are lacking a blog index page.
                </p>
              type: html
              display: Warning
              localizable: false
              listable: false
              visibility: computed
              hide_display: true
              sortable: false
              replicator_preview: false
      -
        display: Banner
        fields:
          -
            import: banner
      -
        display: Content
        fields:
          -
            handle: title
            field:
              type: text
              required: true
              localizable: true
              validate:
                - required
          -
            handle: description
            field:
              type: text
              display: Description
              localizable: true
          -
            handle: author
            field:
              type: users
              display: Author
              default: current
              localizable: true
              max_items: 1
          -
            handle: template
            field:
              folder: stories
              type: template
              display: Template
              localizable: false
              listable: false
              validate:
                - required
      -
        display: 'Footer (optional)'
        instructions: 'Select a footer to overwrite the current global footer option'
        fields:
          -
            import: footer_overwrite
  sidebar:
    display: Sidebar
    sections:
      -
        fields:
          -
            handle: review_field
            field:
              type: review
              display: 'Review Field'
              localizable: false
          -
            handle: slug
            field:
              type: slug
              localizable: true
              validate:
                - required
                - 'max:200'
          -
            handle: parent
            field:
              type: entries
              collections:
                - pages
              max_items: 1
              listable: false
              localizable: true
              validate:
                - required
              create: false
          -
            handle: date
            field:
              type: date
              required: true
              default: now
              localizable: true
              validate:
                - required
      -
        display: 'Page Customisation'
        fields:
          -
            handle: header_type
            field: header.header_type
            config:
              validate:
                - sometimes
                - required
              if: 'restrictRoles:super'
          -
            handle: show_breadcrumbs
            field:
              default: true
              type: toggle
              display: Breadcrumbs
              localizable: true
          -
            handle: is_custom_donate_button
            field:
              type: toggle
              display: 'Custom donate button'
              instructions: 'Change the destination for the Navigation Donate button.'
              localizable: true
              instructions_position: below
          -
            handle: donate_button_link
            field:
              type: text
              display: 'Donate button URL'
              localizable: true
              if:
                is_custom_donate_button: 'equals true'
              input_type: url
          -
            import: search_settings
      -
        display: Tags
        fields:
          -
            handle: tags
            field:
              mode: select
              collections:
                - tags
              query_scopes:
                - tag_entry_only
              type: entries
              display: Tags
              localizable: true
              listable: true
  SEO:
    display: SEO
    sections:
      -
        fields:
          -
            handle: seo
            field:
              type: seo_pro
              listable: false
              display: SEO
              localizable: false
